Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# menushell.hh File Reference

A GtkMenuShell C++ wrapper interface. More...

`#include <xfc/gtk/container.hh>`
`#include <xfc/gtk/menuitem.hh>`
`#include <gtk/gtkmenushell.h>`
`#include <xfc/gtk/inline/menushell.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::MenuShell
    A GtkMenuShell C++ wrapper class. More...

## Enumerations

- enum MenuDirectionType {
  MENU_DIR_PARENT = GTK_MENU_DIR_PARENT,
  MENU_DIR_CHILD = GTK_MENU_DIR_CHILD,
  MENU_DIR_NEXT = GTK_MENU_DIR_NEXT,
  MENU_DIR_PREV = GTK_MENU_DIR_PREV
  }
    MenuDirectionType represents the directional movements within a menu. More...

## Detailed Description

A GtkMenuShell C++ wrapper interface.

Provides MenuShell, an abstract base class used to derive the Menu and MenuBar subclasses.

## Enumeration Type Documentation

enum MenuDirectionType

MenuDirectionType represents the directional movements within a menu.

Enumeration values:

  MENU_DIR_PARENT | To the parent menu shell.
  MENU_DIR_CHILD | To the submenu, if any, associated with the item.
  MENU_DIR_NEXT | To the next menu item.
  MENU_DIR_PREV | To the previous menu item.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3